Package com.enonic.xp.node

## Class Node.Builder

- java.lang.Object
- - com.enonic.xp.node.Node.Builder

- Enclosing class:
    Node

      public static class Node.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |
    `Builder​(Node node)` |
    `Builder​(NodeId id)` |
    `Builder​(NodeId id, NodeName name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Node.Builder` | `attachedBinaries​(AttachedBinaries attachedBinaries)` |
    `Node` | `build()` |
    `Node.Builder` | `childOrder​(ChildOrder childOrder)` |
    `Node.Builder` | `data​(PropertyTree value)` |
    `Node.Builder` | `id​(NodeId id)` |
    `Node.Builder` | `indexConfigDocument​(IndexConfigDocument indexConfigDocument)` |
    `Node.Builder` | `inheritPermissions​(boolean inheritPermissions)` |
    `Node.Builder` | `manualOrderValue​(Long manualOrderValue)` |
    `Node.Builder` | `name​(NodeName value)` |
    `Node.Builder` | `name​(String value)` |
    `Node.Builder` | `nodeState​(NodeState nodeState)` | Deprecated.
    `Node.Builder` | `nodeType​(NodeType nodeType)` |
    `Node.Builder` | `nodeVersionId​(NodeVersionId nodeVersionId)` |
    `Node.Builder` | `parentPath​(NodePath value)` |
    `Node.Builder` | `path​(String value)` | Deprecated.
    `Node.Builder` | `permissions​(AccessControlList permissions)` |
    `Node.Builder` | `timestamp​(Instant timestamp)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

    - #### Builder

          public Builder​(NodeId id)

    - #### Builder

          public Builder​(Node node)

    - #### Builder

          public Builder​(NodeId id,
                         NodeName name)

  - ### Method Detail

    - #### name

          public Node.Builder name​(String value)

    - #### name

          public Node.Builder name​(NodeName value)

    - #### path

          @Deprecated
          public Node.Builder path​(String value)

      Deprecated.

    - #### parentPath

          public Node.Builder parentPath​(NodePath value)

    - #### id

          public Node.Builder id​(NodeId id)

    - #### data

          public Node.Builder data​(PropertyTree value)

    - #### indexConfigDocument

          public Node.Builder indexConfigDocument​(IndexConfigDocument indexConfigDocument)

    - #### childOrder

          public Node.Builder childOrder​(ChildOrder childOrder)

    - #### manualOrderValue

          public Node.Builder manualOrderValue​(Long manualOrderValue)

    - #### permissions

          public Node.Builder permissions​(AccessControlList permissions)

    - #### inheritPermissions

          public Node.Builder inheritPermissions​(boolean inheritPermissions)

    - #### nodeType

          public Node.Builder nodeType​(NodeType nodeType)

    - #### attachedBinaries

          public Node.Builder attachedBinaries​(AttachedBinaries attachedBinaries)

    - #### nodeState

          @Deprecated
          public Node.Builder nodeState​(NodeState nodeState)

      Deprecated.

    - #### timestamp

          public Node.Builder timestamp​(Instant timestamp)

    - #### nodeVersionId

          public Node.Builder nodeVersionId​(NodeVersionId nodeVersionId)

    - #### build

          public Node build()